*;
*  TO DO: 
*    Line 26: Specify the Excel data type DateTime
*             for the value of the TAGATTR style attribute.
*;

ods tagsets.ExcelXP file="&SAMPDIR\LabResults.xml" style=Printer;

title 'Lab Results for Subject 01-701-1015';
footnote;

ods tagsets.ExcelXP options(sheet_interval='bygroup'
                            sheet_label=' '
                            embedded_titles='yes'
                            suppress_bylines='yes');

proc report data=sample.LabResults nowd split='*';
  by lbcat;

  column visitnum  visit     visit_datetime  lbtestcd  lborres 
         lborresu  lbornrlo  lbornrhi        range     lbnrind;

  define visitnum       / order    center 'Visit';
  define visit          / order    center 'Visit*Name'; 
  define visit_datetime / order    left   'Collection*Date/Time' format=e8601dt.
    style(column)=[tagattr='type:'];
  define lbtestcd       / display  left   'Test';
  define lborres        / display  right  'Result';
  define lborresu       / display  right  'Units';
  define lbornrlo       / noprint;
  define lbornrhi       / noprint;
  define range          / computed right  'Range';
  define lbnrind        / display  center '';

  compute range / char length=13;
    if (compress(lbornrlo) ne '' and compress(lbornrhi) ne '') 
      then range = strip(lbornrlo) || ' - ' || strip(lbornrhi);
      else range = 'not available';
  endcomp;

  compute lbnrind;
    if (upcase(lbnrind) eq 'N') then lbnrind = '';
  endcomp;

  compute after visitnum;
    line '';
  endcomp;
run; quit;

ods tagsets.ExcelXP close;

;*';*";*/;quit;run;
* Reference for code above: http://tinyurl.com/mjde9fc ;
